Index: b/third-party/pjproject/patches/0001-xivo_disable_stun_msg_caching.patch
===================================================================
--- /dev/null
+++ b/third-party/pjproject/patches/0001-xivo_disable_stun_msg_caching.patch
@@ -0,0 +1,14 @@
+diff --git a/pjnath/src/pjnath/stun_session.c b/pjnath/src/pjnath/stun_session.c
+index f2b4f7058..fa76fd121 100644
+--- a/pjnath/src/pjnath/stun_session.c
++++ b/pjnath/src/pjnath/stun_session.c
+@@ -949,6 +949,9 @@ PJ_DEF(pj_status_t) pj_stun_session_send_msg( pj_stun_session *sess,
+ 
+     PJ_ASSERT_RETURN(sess && addr_len && server && tdata, PJ_EINVAL);
+ 
++    /* xivo-3411 disable msg caching to avoid race and crash */
++    cache_res = PJ_FALSE;
++
+     /* Lock the session and prevent user from destroying us in the callback */
+     pj_grp_lock_acquire(sess->grp_lock);
+     if (sess->is_destroying) {
